#booking,
#meny,
#kontakt {
  scroll-margin-top: 11rem;
}

#takeaway {
  scroll-margin-top: 15rem;
}

body {
  /* background-color: rgb(255, 251, 246);*/
  background-color: #f9f6dd;

  display: flex;
  flex-direction: column;
}

p,
h1,
h2,
h3,
button {
  color: var(--primary-color);
}

.image--trio {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 1rem;
  padding-bottom: 3rem;
}

.trio--photo {
  border-radius: 0.2rem;
}

.container {
  max-width: 1100px;
  margin: 0 auto;
  padding: 0 0.8rem;
  padding-bottom: 3rem;
}

#duken-logo {
  padding-top: 4rem;
  padding-bottom: 3rem;
  transition: padding 0.3s ease, transform 0.3s ease;
  max-width: 100%;
  position: sticky;
}

header {
  padding-top: 3rem;
  position: sticky;
  top: 0;
  width: 100%;
  height: 18rem;
  background-color: #f9f6dd;
  transition: padding 0.3s ease, height 0.3s ease;
}

header.shrink #duken-logo {
  transform: scale(1, 0.5);
  padding-top: 1rem;
}

header.shrink {
  height: 10.5rem;
}
main {
  display: flex;
  flex-direction: column;
  margin-top: 1rem;
  margin-bottom: 3rem;
  gap: 1rem;
  max-width: 70rem;
}

.middle--info__header {
  font-size: var(--font-size-large);
}
.middle--info__para {
  max-width: 60rem;
  padding-bottom: 3rem;
}

.middle--openinghours {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.openinghours--time {
  padding-right: 8rem;
  white-space: nowrap;
}

.middle--buttons {
  display: flex;
  flex-direction: row;
  gap: 1rem;
}
.takeway--button {
  font-size: var(--font-size-large);
  padding: 1rem 2rem;
  background-color: var(--primary-color);
  border-radius: 0.4rem;
  color: #f9f6dd;
}

.meny--button {
  font-size: var(--font-size-large);
  padding: 1rem 2rem;
  background-color: var(--primary-color);
  border-radius: 0.4rem;
  color: #f9f6dd;
}

.booking--button {
  font-size: var(--font-size-large);
  padding: 1rem 2rem;
  background-color: var(--primary-color);
  border-radius: 0.4rem;
  color: #f9f6dd;
}

.meny {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
}
.meny--pizza {
  max-width: 25rem;
}
.meny--header {
  font-size: var(--font-size-large);
}
.meny--pizza__name {
  font-size: var(--font-size-medium);
}
.meny--pizza__ingredients {
  font-size: var(--font-size-base);
  color: var(--secondary-color);
}
.meny--allergies {
  font-size: 0.7rem;
  color: #afb7ca;
}
.meny--allergy__list {
  padding-bottom: 3rem;
}
.middle--takeaway {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-top: 6rem;
  padding-bottom: 3rem;
}

#takeaway--duken__logo {
  margin-right: 3rem;
  max-width: 32rem;
}

.middle--takeaway__header {
  font-size: var(--font-size-large);
}

.middle--takeaway__text {
  font-size: var(--font-size-medium);
}

#bar {
  color: var(--third-color);
}

.img--resto {
  width: 100%;
  height: 100%;
  border-radius: 0.2rem;
  padding-bottom: 3rem;
  max-width: 100%;
}

.middle--info {
  display: flex;
  flex-direction: row;
  font-size: var(--font-size-medium);
  margin-bottom: 3rem;
}

.middle--faq {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding-bottom: 3rem;
}

.faq--header {
  font-size: var(--font-size-large);
  padding: 1rem 2rem;
}

.faq--box {
  display: flex;
  flex-direction: column;
  /* background-color: rgb(255, 255, 129); */
  background-color: rgb(255, 253, 190);
  gap: 0.5rem;
  padding: 1rem 2rem;
}
.faq--question {
  font-size: var(--font-size-medium);
  color: var(--secondary-color);
  text-align: left;
}
.faq--info {
  font-size: var(--font-size-medium);
  display: none;
  transition: transform ease 3ms;
}

.faq--info__display {
  display: block;
}

footer {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  column-gap: 22.5rem;
  row-gap: 1rem;
  margin-top: 2rem;
  margin-bottom: 3rem;
}

.footer--openinghours {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.footer--contact {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.footer__rights {
  flex-basis: 100%;
  margin-bottom: 3rem;
  font-size: var(--font-size-base);
}
